<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="styles/style.css">
    <title>Administration</title>
</head>
<body>
<?php

echo "<h1>Bonjour Administrateur<br></h1>";
?>
<a href="index.php?action=accueil" class='login-button'>Retour à l'accueil</a>

<h2>Les utilisateurs</h2>
<?php

$user = $entityManager->getRepository(User::class)->findAll();

foreach ($user as $utilisateur){
    echo "<tr class='table-row'>
            <td class='table-cell'>{$utilisateur->getId()}</td>
            <td class='table-cell'>{$utilisateur->getLogin()}</td>
            <td class='table-actions'>
                <a href='index.php?action=supr_user&id={$utilisateur->getId()}' class='btn btn-delete'>Supprimer</a>
            </td>
          </tr>";
}
if (isset($_GET ["err_supr"])){
    echo"<p>Vous ne pouvez pas vous supprimez vous même</p>";
}
?>

<form action="index.php?action=add_user" method="POST" enctype="multipart/form-data">
    <h3>Créer un nouvel utilisateur</h3><br>

    <label for="login">Login:</label>
    <input type="text" id="login" name="login" required><br><br>

    <label for="mdp">Mot de passe:</label>
    <input type="password" id="mdp" name="mdp" required><br><br>

    <input type="submit" name="add_user" value="Créer l'utilisateur">
</form>


<h2>Les posts</h2>

<?php

$billets = $entityManager->getRepository(Billets::class)->findAll();

echo '<div class="blog-container">';
foreach ($billets as $billets) {
    echo "<div class='blog-post'>
        <form action='index.php?action=modify_billet' method='POST'>

            <h3>Auteur : " . $billets->getAuteur()->getLogin() . "</h3><p class='date'>" . $billets->getDatePost()->format('Y-m-d') . "</p>
            <h3>Titre :</h3><input type='text' name='titre' value='" . $billets->getTitre() . "' required>
            <h3>Contenu :</h3><textarea name='contenu' rows='5' cols='50' required>" . $billets->getContenu() . "</textarea>
            <input type='hidden' name='id' value='" . $billets->getId() . "'>
            <p>
                <button type='submit' name='modify_billet'>Modifier le billet</button>
            </p>
                <a href='index.php?action=supr_billet&id={$billets->getId()}'>Suprimer le billet</a>
                <br>
        </form>
        </div>
      ";
}
echo '</div>';
?>

<h2>Les Commentaires</h2>

<?php

$coms = $entityManager->getRepository(Coms::class)->findAll();

echo '<div class="blog-container">';
foreach ($coms as $com) {
    echo "<div class='blog-post'>
            <h3>Auteur : {$com->getAuteur()->getLogin()}</h3>
            <h4>Post parent : {$com->getBillet()->getTitre()}
            <p>{$com->getContenu()}</p>
            <a href='index.php?action=supr_com_admin&id={$com->getId()}'>Surpimer le commentaire</a>
      </div>";
}
echo '</div>';
?>

</body>
</html>